# Uses of Class
jebl.evolution.graphs.Graph.NoEdgeException

Packages that use Graph.NoEdgeException
Package
Description
jebl.evolution.graphs
jebl.evolution.trees

## Uses of Graph.NoEdgeException in jebl.evolution.graphs

Methods in jebl.evolution.graphs that throw Graph.NoEdgeException
Modifier and Type
Method
Description
`Edge`
Graph.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`double`
Graph.`getEdgeLength(Node node1, Node node2)`
Returns the length of the edge that connects these two nodes

## Uses of Graph.NoEdgeException in jebl.evolution.trees

Methods in jebl.evolution.trees that throw Graph.NoEdgeException
Modifier and Type
Method
Description
`Node`
ReRootedTree.`createNodes(RootedTree tree, Node parent, Node child)`
Clones the entire tree structure from the given (unrooted) Tree.
`Node`
SimpleRootedTree.`createNodes(Tree tree, Node parent, Node child)`
Clones the entire tree structure from the given (unrooted) Tree.
`Edge`
CompactRootedTree.`getEdge(Node node1, Node node2)`
`Edge`
FilteredRootedTree.`getEdge(Node node1, Node node2)`
`Edge`
MutableRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
ReRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
RootedFromUnrooted.`getEdge(Node node1, Node node2)`
`Edge`
RootedSubtree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
SimpleRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
SimpleTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`double`
CompactRootedTree.`getEdgeLength(Node node1, Node node2)`
`double`
FilteredRootedTree.`getEdgeLength(Node node1, Node node2)`
`double`
MutableRootedTree.`getEdgeLength(Node node1, Node node2)`
`double`
ReRootedTree.`getEdgeLength(Node node1, Node node2)`
`double`
RootedFromUnrooted.`getEdgeLength(Node node1, Node node2)`
`double`
RootedSubtree.`getEdgeLength(Node node1, Node node2)`
`double`
SimpleRootedTree.`getEdgeLength(Node node1, Node node2)`
`double`
SimpleTree.`getEdgeLength(Node node1, Node node2)`
Constructors in jebl.evolution.trees that throw Graph.NoEdgeException
Modifier
Constructor
Description
``
`ReRootedTree(RootedTree source, Node ingroupNode, Node outgroupNode, double ingroupBranchLength)`
Make a copy of the given unrooted tree
``
`SimpleRootedTree(Tree tree, Node ingroupNode, Node outgroupNode, double ingroupBranchLength)`
Make a copy of the given unrooted tree